;Lab Test Ordering
;RunWait, SetFocusConMan.exe
gosub, ShowMainForm
return


ShowMainForm:
Gui, Add, Text, x16 y6 w200 h30 , Which types of test are you requesting?
Gui, Add, CheckBox, vHaem1 x16 y36 w200 h30, Haematology
Gui, Add, CheckBox, vBiochem1 x16 y66 w200 h30 , Biochemistry General
Gui, Add, CheckBox, vHormones x16 y96 w200 h30 , Biochemisty Hormones and PSA
Gui, Add, CheckBox, vDrugs x16 y126 w200 h30 , Biochemistry Drug Levels
Gui, Add, CheckBox, vGTT x16 y156 w200 h30 , Glucose Tolerance Test
Gui, Add, CheckBox, vOther x16 y186 w200 h30 , Other tests
Gui, Add, Button, default x136 y216 w80 h30, Cancel
Gui, Add, Button, x16 y216 w80 h30, OK
Gui, show, W300, Lab Tests
return
;
GuiClose:
GuiEscape:
ButtonCancel:
ExitApp
return
;
ButtonOK:
Gui, submit
If Not (haem1 or Biochem1 or Hormones or Drugs or GTT or other)
{
	msgbox,,Error, Please select at least one.
	Gui, destroy
	goto, ShowMainForm
}
if (Haem1=1){
	gosub, WhichHaematologyTests
}
WinWaitClose,Haematology
if (Biochem1=1){
	gosub, WhichBiochem1Tests
}
WinWaitClose, Biochemistry
if (Hormones=1){
	gosub, WhichHormoneTests
}
WinWaitClose, Hormones	
if (Drugs=1){
	gosub, WhichDrugLevels
}
WinWaitClose, Drugs
if (Other=1){
	gosub,OtherTests
}
;ask for clinical indication
InputBox, ClinicalDetails, Reason for Test, Please Enter Clinical Indication,, 300,150
;
;Ask if fasting or not?
gosub, fasting
WinWaitClose, Fasting?

;Send the text to Vision
RunWait, p:\macros\SetFocusConMan.exe
SendInput, !al{#}413{Tab}Please do the following tests:{Enter 2}
if (HaemTests<>"")
	SendInput, %Haemtests%{Enter}
if (Biotests<>"")
	Sendinput, %BioTests%{Enter}
if (HormoneTests<>"")
	Sendinput, %HormoneTests%{enter}
if (DrugTests<>"")
	Sendinput, %DrugTests%{enter}
if (OtherTestsRequested<>"")
	Sendinput, %OtherTestsRequested%{enter}
if (GTT=1)
	SendInput, Glucose Tolerance Test{enter}
If (FastingYes=1)
	Sendinput, FASTING SAMPLE PLEASE{enter}
else
	SendInput, Fasting sample is not required{Enter}
if (ClinicalDetails<>"")
	SendInput, Clinical Indication: %ClinicalDetails%{enter}
SendInput, {Tab 8}{Enter}
;Print the form for GTT if requested
if (GTT=1){
	gosub, GTTest
}
;Ask to print the form for reception
;gosub, PrintForm
;WinWaitClose, Print Form?
;if (Formyes=1)
;{
;	sendinput, !gsPM_LABREQ{tab}
;	sleep, 200
;	SendInput, !p
;}
ExitApp

WhichHaematologyTests:
Gui, 2: Add, Text, x15 y10 w230 h30 , Which Haematology Tests?
Gui, 2: Add, CheckBox, vFBC x15 y40 w230 h30 , FBC
Gui, 2: Add, CheckBox, vESR x15 y70 w230 h30 , ESR
Gui, 2: Add, CheckBox, vClotting x15 y100 w230 h30 , Clotting Screen
Gui, 2: Add, CheckBox, vINR x15 y130 w230 h30 , INR
Gui, 2: Add, CheckBox, vEBV x15 y160 w230 h30 , Glandular Fever
Gui, 2: Add, Button, default x16 y200 w80 h30, OK
Gui, 2: Add, Button, x136 y200 w80 h30, Cancel
Gui,2:Show,,Haematology Tests
return
;
2GuiClose:
2GuiEscape:
2ButtonCancel:
ExitApp
return

2ButtonOK:
Gui, 2:Submit
Haemtests := ""
	if (FBC=1){
	Haemtests := Haemtests . "FBC, "
	}
	if (ESR=1){
	Haemtests := Haemtests . "ESR, "
	}
	if (Clotting=1){
	Haemtests := Haemtests . "Clotting Screen, "
	}
	if (INR=1){
	Haemtests := Haemtests . "INR, "
	}
	if (EBV=1){
	Haemtests := Haemtests . "Glandular Fever Test"
	}
Haemtests := (Haemtests ,", ")
return
;
WhichBiochem1Tests:
Gui, 3: Add, Text, x6 y6 w380 h40 , Which Biochemistry Tests?
Gui, 3: Add, CheckBox, vGlucose x6 y46 w190 h30 , Glucose
Gui, 3: Add, CheckBox, vUE x6 y76 w190 h30 , Urea and Electrolytes
Gui, 3: Add, CheckBox, vLFTs x6 y106 w190 h30 , LFTs
Gui, 3: Add, CheckBox, vGGT x6 y136 w190 h30 , Gamma GT
Gui, 3: Add, CheckBox, vCAP x6 y166 w190 h30 , Bone Biochem (CAP)
Gui, 3: Add, CheckBox, vCK x196 y46 w190 h30 , Creatinine Kinase (CK)
Gui, 3: Add, CheckBox, vTFT x196 y76 w190 h30 , Thyroid Function
Gui, 3: Add, CheckBox, vCRP x196 y106 w190 h30 , CRP
Gui, 3: Add, CheckBox, vB12 x196 y136 w190 h30 , B12 and Folate
Gui, 3: Add, CheckBox, vFerritin x196 y166 w190 h30 , Ferritin
Gui, 3: Add, CheckBox, vHBA1C x6 y196 w190 h30 , HbA1C
Gui, 3: Add, CheckBox, vLipids x196 y196 w190 h30 , Lipids
Gui, 3: Add, Button, x16 y236 w100 h30 , OK
Gui, 3: Add, Button, x236 y236 w110 h30 , Cancel
Gui, 3: Show,,Biochemistry Tests
return
;
3GuiClose:
3GuiEscape:
3ButtonCancel:
ExitApp
return
;
3ButtonOK:
Gui, 3:Submit
BioTests := ""
if (Glucose=1){
	BioTests := Biotests . "Glucose, "
}
if (UE=1){
	BioTests := Biotests . "U&E, "
}
if (LFTs=1){
	BioTests := Biotests . "LFTs, "
}
if (GGT=1){
	BioTests := Biotests . "Gamma GT, "
}
if (CAP=1){
	BioTests := Biotests . "Bone Biochemistry (Ca and PO4), "
}
if (CK=1){
	BioTests := Biotests . "Creatinine Kinase (CK), "
}
if (TFT=1){
	BioTests := Biotests . "Thyroid Function Tests, "
}
if (CRP=1){
	BioTests := Biotests . "CRP ,"
}
if (B12=1){
	BioTests := Biotests . "B12 and Folate, "
}
if (Ferritin=1){
	BioTests := Biotests . "Ferritin, "
}
if (HBA1C=1){
	BioTests := Biotests . "HbA1C, "
}
if (lipids=1){
	BioTests := Biotests . "Lipids, "
}
Biotests := (Biotests,", ")
return
;
WhichHormoneTests:
Gui, 4: Add, Text, x6 y6 w380 h40 , Which Hormone Tests?
Gui, 4: Add, CheckBox, vFSHLH x6 y46 w190 h30 , FSH / LH
Gui, 4: Add, CheckBox, vOest x6 y76 w190 h30 , Oestradiol
Gui, 4: Add, CheckBox, vProg x6 y106 w190 h30 , Progesterone
Gui, 4: Add, CheckBox, vD21P x6 y136 w190 h30 , Day 21 Progesterone
Gui, 4: Add, CheckBox, vPRL x6 y166 w190 h30 , Prolactin
Gui, 4: Add, CheckBox, vTestost x196 y46 w190 h30 , Testosterone
Gui, 4: Add, CheckBox, vPSA x196 y76 w190 h30 , PSA
Gui, 4: Add, Button, x16 y236 w100 h30 , OK
Gui, 4: Add, Button, x236 y236 w110 h30 , Cancel
Gui, 4: Show,,Hormones
return
;
4GuiClose:
4GuiEscape:
4ButtonCancel:
ExitApp
return
;
4ButtonOK:
Gui, 4:Submit
HormoneTests := ""
if (FSHLH=1){
	HormoneTests := HormoneTests . "FSH / LH, "
}
if (Oest=1){
	HormoneTests := HormoneTests . "Oestrogen, "
}
if (Prog=1){
	HormoneTests := HormoneTests . "Progesterone, "
}
if (D21P=1){
	HormoneTests := HormoneTests . "Day 21 Progesterone, "
}
if (PRL=1){
	HormoneTests := HormoneTests . "Prolactin, "
}
if (Testost=1){
	HormoneTests := HormoneTests . "Testosterone, "
}
if (PSA=1){
	HormoneTests := HormoneTests . "PSA, "
}
Hormonetests := (Hormonetests,", ")
return
;
WhichDrugLevels:
Gui, 5: Add, Text, x6 y6 w380 h40 , Which Drug Levels?
Gui, 5: Add, CheckBox, vCBMZ x6 y46 w190 h30 , Carbamazepine
Gui, 5: Add, CheckBox, vLithium x6 y76 w190 h30 , Lithium
Gui, 5: Add, CheckBox, vDig x6 y106 w190 h30 , Digoxin
Gui, 5: Add, CheckBox, vValp x6 y136 w190 h30 , Valproate
Gui, 5: Add, CheckBox, vPhen x6 y166 w190 h30 , Phenytoin
Gui, 5: Add, Button, x16 y236 w100 h30 , OK
Gui, 5: Add, Button, x236 y236 w110 h30 , Cancel
Gui, 5: Show,,Drugs
return
;
5GuiClose:
5GuiEscape:
5ButtonCancel:
ExitApp
return
;
5ButtonOK:
Gui, 5:Submit
DrugTests := ""
if (CBMZ=1){
	DrugTests := DrugTests . "Carbamazepine Level, "
}
if (Lithium=1){
	DrugTests := DrugTests . "Lithium level, "
}
if (Dig=1){
	DrugTests := DrugTests . "Digoxin level, "
}
if (Valp=1){
	DrugTests := DrugTests . "Valproate level, "
}
if (Phen=1){
	DrugTests := DrugTests . "Phenytoin, "
}
Drugtests := (Drugtests,", ")
return

OtherTests:
InputBox, OtherTestsRequested,Other, Please enter which other tests you require,,300,150
if errorlevel=1
	ExitApp
return
;

fasting:
Gui, 6: Add, Text, x6 y6 w220 h20 , Fasting sample or not?
Gui, 6: Add, Radio, Checked vFastingYes x6 y26 w220 h30, Fasting
Gui, 6: Add, Radio, vFastingNo x6 y56 w220 h30, Non Fasting
Gui, 6: Add, Button, x6 y86 w100 h30 , Ok
Gui, 6: Add, Button, x110 y86 w100 h30 , Cancel
Gui, 6: Show,,Fasting?
Return

6GuiClose:
6GuiEscape:
6ButtonCancel:
ExitApp
return

6ButtonOK:
Gui, 6: Submit
return

PrintForm:
Gui, 7: Add, Text, x6 y6 w220 h20 , Print request form?
Gui, 7: Add, Radio, Checked vFormYes x6 y26 w220 h30, Yes
Gui, 7: Add, Radio, vFormNo x6 y56 w220 h30, No
Gui, 7: Add, Button, x6 y86 w100 h30 , Ok
Gui, 7: Add, Button, x110 y86 w100 h30 , Cancel
Gui, 7: Show,,Print Form?
Return

7GuiClose:
7GuiEscape:
7ButtonCancel:
ExitApp
return

7ButtonOK:
Gui, 7: Submit
return

GTTest:
SendInput, !gs
WinWaitActive, Select Guideline
SendInput, PM_GTTPRIN{Tab}!P
WinWaitClose, Select Guideline
return